import { IUserContent } from './user/IUserContent';

export interface IUser {
  badge?: {
    id: string,
    name: string;
  };
  content: IUserContent;
  counts: {
    bookmarks: number,
    clients: number,
    followers: number,
    following: number,
    posts: number,
    users: number;
  };
  created_at: string;
  follows_you: boolean;
  id: string;
  locale: string;
  name: string;
  timezone: string;
  type: string;
  username: string;
  you_blocked: boolean;
  you_can_follow: boolean;
  you_follow: boolean;
  you_muted: boolean;
  verified: {
    domain: string,
    link: string;
  };
}
